const express = require('express');
const app = express();
const port = process.env.PORT || 3000;

app.use(express.json()); // Middleware to parse JSON body

// get api path
app.get('/api/:pathParam', (req, res) => {
    const pathParam = req.params.pathParam;  // Path parameter
    const queryParam = req.query.q;          // Query parameter

    res.json({
        message: "Success",
        pathParam,
        queryParam
    });
});

app.post('/api/data', (req, res) => {
    const receivedData = req.body; // JSON body from request

    res.json({
        message: "Data received successfully",
        receivedData: [receivedData] // Returning it as an array
    });
});

app.listen(port, () => {
    console.log(`Server running on http://localhost:${port}`);
});